%global pypi_name ansible-compat
%global pkgname python-ansible-compat

Name:           %{pkgname}
Version:        4.1.11
Release:        %mkrel 4
Summary:        Ansible python helper functions
Group:          Development/Python

URL:            https://pypi.org/project/ansible-compat/
Source0:        %{pypi_source}
License:        MIT
BuildArch:      noarch
BuildRequires:  python3-devel

# This patch skips the tests requiring a connection to
# ansible galaxy
Patch0: ansible-compat-4.1.11-skip_tests_requiring_network_connectivity.patch


%description
A python package containing functions that help interacting with
various versions of Ansible

%package -n python-%{pypi_name}-doc
Summary: %summary

%description -n python-%{pypi_name}-doc
Documentation for python-ansible-compat


%package -n python3-%{pypi_name}
Summary: %summary

%{?python_disable_dependency_generator}
%py_provides python3-%{pypi_name}

%description -n python3-%{pypi_name}
A python package containing functions that help interacting with
various versions of Ansible


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r 


%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH=src sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files ansible_compat

%check
# Disable tests as pip-tools, pytest-markdown 
# and pytest-plus not in Fedora yet
# export PYTHONPATH=src
# tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif


%changelog
* Mon Mar 03 2025 wally <wally> 4.1.11-4.mga10
+ Revision: 2159596
- rebuild for python3.13
- rebuild for python3.13

* Wed Jan 24 2024 papoteur <papoteur> 4.1.11-2.mga10
+ Revision: 2034101
- new version 4.1.11

* Fri Oct 20 2023 bcornec <bcornec> 4.1.10-1.mga10
+ Revision: 1999754
- Update to upstream ansible-compat 4.1.10 for ansible-lint

* Sat Dec 17 2022 guillomovitch <guillomovitch> 2.2.7-1.mga9
+ Revision: 1924273
- new version 2.2.7

* Thu Dec 08 2022 guillomovitch <guillomovitch> 2.2.6-1.mga9
+ Revision: 1919496
- new version 2.2.6

* Tue Nov 15 2022 guillomovitch <guillomovitch> 2.2.4-1.mga9
+ Revision: 1907673
- new version 2.2.4

* Wed Sep 28 2022 neoclust <neoclust> 2.2.1-1.mga9
+ Revision: 1892917
- New version 2.2.1

* Tue Aug 09 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1876554
- new version 2.2.0

* Sun May 22 2022 guillomovitch <guillomovitch> 2.0.4-1.mga9
+ Revision: 1859779
- new version 2.0.4

* Tue Apr 12 2022 guillomovitch <guillomovitch> 2.0.2-1.mga9
+ Revision: 1849175
- imported package python-ansible-compat

